[KPhotoAlbum] error compiling in Ubuntu 16.04 and Mint 18.3

Johannes Zarl-Zierl johannes at zarl-zierl.at
Sun Dec 17 22:49:00 CET 2017


Hi Andreas,

The relevant difference is the version of Qt: OpenSUSE leap 42.1 still has Qt 
5.5 (leap 42.2 and Mint 18.3 probably as well).

I've patched KPA to compile with Qt 5.5 again (we already have similar patches 
in a few places).

Since you have probably more experience with OpenSUSE leap than me: Do you 
know which version of leap introduces a newer Qt version?
For now, supporting Qt 5.5 does not pose a problem, but eventually it might 
become a burden...

Cheers,
  Johannes


On Sonntag, 17. Dezember 2017 21:36:03 CET Andreas Schleth wrote:
> Hi everybody,
> 
> when I try to build KPA from git master in those two systems, make fails
> with this error:
> 
> /home/as/kpa/kphotoalbum/DB/ImageInfo.cpp: In member function ‘bool
> DB::ImageInfo::hasCategoryInfo(const QString&, const StringSet&) const’:
> /home/as/kpa/kphotoalbum/DB/ImageInfo.cpp:130:19: error: ‘const
> StringSet {aka const class QSet<QString>}’ has no member named ‘intersects’
>       return values.intersects( m_categoryInfomation[key] );
>                     ^
> CMakeFiles/kphotoalbum.dir/build.make:2534: die Regel für Ziel
> „CMakeFiles/kphotoalbum.dir/DB/ImageInfo.cpp.o“ scheiterte
> 
> It builds nicely in openSuSE Leap 42.2. The main difference seems to be
> the version of gcc:
> 
> opensuse: gcc (SUSE Linux) 4.8.5
> 
> ubuntu 16.04 (and Mint): gcc (Ubuntu 5.4.0-6ubuntu1~16.04.5) 5.4.0 20160609
> 
> Any ideas?
> 
> Andreas
> 
> _______________________________________________
> KPhotoAlbum mailing list
> KPhotoAlbum at mail.kdab.com
> https://mail.kdab.com/mailman/listinfo/kphotoalbum




More information about the KPhotoAlbum mailing list